- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Updates the user's profile details.
HTTP request
PATCH https://health.googleapis.com/v4/{profile.name=users/*/profile}
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters | |
|---|---|
profile.name |
Identifier. The resource name of this Profile resource. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Profile.
Response body
If successful, the response body contains an instance of Profile.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/googlehealth.profile
For more information, see the OAuth 2.0 Overview.